跳至內容

Vidu Q4

整合

模型 id vidu/q4/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/vidu/q4/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.333 333 API 點數 · ≈ ₽35.74 在此頁面執行

取得 API 金鑰
Vidu 圖像轉影片 4K 輸出3–16 秒最高 4K #image-to-video#multi-shot

Q4 以第一影格圖片轉影片,支援 3-16 秒、最高 4K 解析度及原生音訊

Vidu · 影片

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

0 / 5000

用於生成影片的文字指示,限制為 5000 個字元。

•必填 image_url
拖放檔案,或

起始影格圖像,限制為 50 MB,格式為 png、jpeg、jpg 或 webp。請透過 URL 或 base64 資料 URI 提供。

resolution 預設 720p

結果影片的解析度。

預設 5

影片長度(秒),範圍為 3 至 16。

進階 seed · enable_safety_checker

使生成結果可重現的種子。設為 None 會隨機選擇種子。

POST /run/vidu/q4/image-to-video?wait=20 報價 → $0.333
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/vidu/q4/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Vidu Q4

將 `image_url` 中的首影格圖像製作成動畫(png、jpeg、jpg 或 webp,最大 50 MB,可使用 URL 或 base64)。選用的 `prompt` 最多可包含 5000 個字元。`duration` 為 3-16 秒,`resolution` 可為 540p、720p、1080p、2K 或 4K。回傳影片、封面圖像和種子。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
prompt選填
類型string
預設值
≤ 5,000 個字元
用於生成影片的文字指示,限制為 5000 個字元。
image_url必填 image
類型url · image
起始影格圖像,限制為 50 MB,格式為 png、jpeg、jpg 或 webp。請透過 URL 或 base64 資料 URI 提供。
duration選填
類型integer
預設值5
3 – 16
影片長度(秒),範圍為 3 至 16。
seed選填
類型integer | null
使生成結果可重現的種子。設為 None 會隨機選擇種子。
resolution選填
類型enum
預設值720p
540p720p1080p2K4K
結果影片的解析度。
enable_safety_checker選填
類型boolean
預設值true
在呼叫端獲得授權的情況下,將此值設為 false 可放寬審核。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "vidu/q4/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 333,
    "usd": "0.333",
    "charged": 333,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "cover_image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size}Q4 模型根據圖像產生的影片。
cover_image
object {url, content_type, file_name, file_size, width, height} | null結果影片的封面圖像。
seed
integer生成期間使用的隨機種子。

更多模型:圖像轉影片

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/vidu/q4/image-to-video.md. 所有模型與指南: https://doitong.com/developers/llms.txt